Bug 129236 - cman_tool leave: returns sucess on non-leave
cman_tool leave: returns sucess on non-leave
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Teigland
GFS Bugs
Depends On:
  Show dependency treegraph
Reported: 2004-08-05 10:11 EDT by Derek Anderson
Modified: 2010-01-11 21:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-26 18:40:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Derek Anderson 2004-08-05 10:11:22 EDT
Description of problem:
Running 'cman_tool leave' on a node that has active subsystems like
the fenced will return 0 when it doesn't actually succeed.  This is a
nitpick, but will be useful for scripting.

[root@link-12 root]# cman_tool leave
Can't leave cluster while there are 1 active subsystems
[root@link-12 root]# echo $?
[root@link-12 root]#

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Christine Caulfield 2004-08-09 08:29:10 EDT
cman_tool now calls die() if there are active subsystems when "leave"
is called.

Checking in main.c;
/cvs/cluster/cluster/cman/cman_tool/main.c,v  <--  main.c
new revision: 1.5; previous revision: 1.4
Comment 2 Corey Marthaler 2004-08-26 18:40:54 EDT
verified to be fixed
Comment 3 Kiersten (Kerri) Anderson 2004-11-16 14:09:09 EST
Updating version to the right level in the defects.  Sorry for the storm.

Note You need to log in before you can comment on or make changes to this bug.